CWGraphInternal::Style Struct Reference

Internal: the structure used to store a style of a CWGraph. More...

## Public Member Functions

| Style ()
| constructor More...

## Public Attributes

int | m_id
| the identificator More...
int | m_wrapping
| the wrap type More...
int | m_lineFlags
| the line flags More...
int | m_lineWidth
| the line width More...
int | m_color [2]
| the line and surface color id More...
int | m_surfacePatternType
| the surface pattern type More...
int | m_pattern [2]
| the line an surface id More...
int | m_flags [5]
| the list of flags More...

## Friends

std::ostream & | operator<< (std::ostream &o, Style const &st)
| operator<< More...

## Detailed Description

Internal: the structure used to store a style of a CWGraph.

## Constructor & Destructor Documentation

CWGraphInternal::Style::Style | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Style const & | st
| ) |  |

friend

operator<<

## Member Data Documentation

int CWGraphInternal::Style::m_color[2]

the line and surface color id

Referenced by CWGraph::getLineColor(), CWGraph::getSurfaceColor(), CWGraph::readGroupDef(), CWGraph::sendZone(), and Style().

int CWGraphInternal::Style::m_flags[5]

the list of flags

Referenced by CWGraph::readGroupDef(), and Style().

int CWGraphInternal::Style::m_id

the identificator

Referenced by CWGraph::readGroupDef().

int CWGraphInternal::Style::m_lineFlags

the line flags

Referenced by CWGraph::readGroupDef(), and CWGraph::sendBasicPicture().

int CWGraphInternal::Style::m_lineWidth

the line width

Referenced by CWGraph::readGroupDef(), CWGraph::sendBasicPicture(), and CWGraph::sendZone().

int CWGraphInternal::Style::m_pattern[2]

the line an surface id

Referenced by CWGraph::getLineColor(), CWGraph::getSurfaceColor(), CWGraph::readGroupDef(), and Style().

int CWGraphInternal::Style::m_surfacePatternType

the surface pattern type

Referenced by CWGraph::getSurfaceColor(), and CWGraph::readGroupDef().

int CWGraphInternal::Style::m_wrapping

the wrap type

Referenced by CWGraph::readGroupDef(), and CWGraph::sendZone().

The documentation for this struct was generated from the following file:

- CWGraph.cxx